---
title: Get content by given content url or by list of GUID/Reference with given language
slug: cms-12/api/yaF3-get-content-by-given-content-url-or-by-list-of-guidreference-with-given-language
docTags: 
createdAt: 2026-08-28T13:16:06.833Z
---

{
  "id": "PifZTUCn-1KBlOp2gQ_jU",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/api/episerver/v3.0/content",
    "servers": [],
    "name": "Get content by given content url or by list of GUID/Reference with given language",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/problem+json"
          ],
          "default": "application/json"
        },
        {
          "kind": "optional",
          "name": "Accept-Language",
          "type": "string",
          "description": "<p>Determines in which language the content should be retrieved. Example: 'en' or 'sv'. Does not support fallback.</p>"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "ContentUrl",
          "type": "string",
          "description": "The absolute url to the content"
        },
        {
          "kind": "optional",
          "name": "Guids",
          "type": "string",
          "description": "<p>List of GUID separated by ','.</p>"
        },
        {
          "kind": "optional",
          "name": "References",
          "type": "string",
          "description": "<p>List of ContentReference separated by ','.</p>"
        },
        {
          "kind": "optional",
          "name": "Expand",
          "type": "string",
          "description": "List of properties needed to be expanded. The list is separated by comma."
        },
        {
          "kind": "optional",
          "name": "Select",
          "type": "string",
          "description": "List of properties needed to be returned. The list is separated by comma. Default are all properties returned."
        },
        {
          "kind": "optional",
          "name": "MatchExact",
          "type": "boolean",
          "description": "<p>Indicates if the specified 'contentUrl' should match url of the content exactly, that is no additional segments are allowed.</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Ok",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "content[]",
            "schema": [
              {
                "name": "contentLink",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/contentReference",
                "customType": "contentReference",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "nullable": true,
                    "description": "",
                    "format": "int32"
                  },
                  {
                    "name": "workId",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "nullable": true,
                    "description": "",
                    "format": "int32"
                  },
                  {
                    "name": "guidValue",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "nullable": true,
                    "description": "",
                    "format": "uuid"
                  },
                  {
                    "name": "providerName",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  },
                  {
                    "name": "url",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  },
                  {
                    "name": "language",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/language",
                    "customType": "language",
                    "schema": [
                      {
                        "name": "displayName",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      }
                    ]
                  },
                  {
                    "name": "expanded",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/content",
                    "customType": "content",
                    "schema": [
                      {
                        "name": "",
                        "description": "",
                        "customType": "Circular-Reference"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "name",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              },
              {
                "name": "language",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/language",
                "customType": "language",
                "schema": [
                  {
                    "name": "displayName",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  }
                ]
              },
              {
                "name": "existingLanguages",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "",
                "modelRef": "#/components/schemas/language",
                "customType": "language[]",
                "schema": [
                  {
                    "name": "displayName",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  }
                ]
              },
              {
                "name": "masterLanguage",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/language",
                "customType": "language",
                "schema": [
                  {
                    "name": "displayName",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  }
                ]
              },
              {
                "name": "contentType",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "parentLink",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/contentReference",
                "customType": "contentReference",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "nullable": true,
                    "description": "",
                    "format": "int32"
                  },
                  {
                    "name": "workId",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "nullable": true,
                    "description": "",
                    "format": "int32"
                  },
                  {
                    "name": "guidValue",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "nullable": true,
                    "description": "",
                    "format": "uuid"
                  },
                  {
                    "name": "providerName",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  },
                  {
                    "name": "url",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  },
                  {
                    "name": "language",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/language",
                    "customType": "language",
                    "schema": [
                      {
                        "name": "displayName",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      }
                    ]
                  },
                  {
                    "name": "expanded",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/content",
                    "customType": "content",
                    "schema": [
                      {
                        "name": "",
                        "description": "",
                        "customType": "Circular-Reference"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "routeSegment",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              },
              {
                "name": "url",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              },
              {
                "name": "changed",
                "kind": "optional",
                "type": "string<date-time>",
                "nullable": true,
                "description": "",
                "format": "date-time"
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string<date-time>",
                "nullable": true,
                "description": "",
                "format": "date-time"
              },
              {
                "name": "startPublish",
                "kind": "optional",
                "type": "string<date-time>",
                "nullable": true,
                "description": "",
                "format": "date-time"
              },
              {
                "name": "stopPublish",
                "kind": "optional",
                "type": "string<date-time>",
                "nullable": true,
                "description": "",
                "format": "date-time"
              },
              {
                "name": "saved",
                "kind": "optional",
                "type": "string<date-time>",
                "nullable": true,
                "description": "",
                "format": "date-time"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/content",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "IAjGh8QrBaA7tgRtPpD_U",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /api/episerver/v3.0/content \\\n     --header 'accept: application/json'"
        },
        {
          "id": "V_Q29qqsYkfu14gOii4aF",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/api/episerver/v3.0/content\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "5yT9xyCglUWS-CTU1qSWJ",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/api/episerver/v3.0/content\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "q9zuvX9tqDdB0z24Hw8p6",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/api/episerver/v3.0/content\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "IAjGh8QrBaA7tgRtPpD_U"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Ok\n[\n  {\n    \"contentLink\": {\n      \"id\": \"\",\n      \"workId\": \"\",\n      \"guidValue\": \"\",\n      \"providerName\": \"\",\n      \"url\": \"\",\n      \"language\": {\n        \"displayName\": \"\",\n        \"name\": \"\"\n      },\n      \"expanded\": {\n        \"\": \"\"\n      }\n    },\n    \"name\": \"\",\n    \"language\": {\n      \"displayName\": \"\",\n      \"name\": \"\"\n    },\n    \"existingLanguages\": [\n      {\n        \"displayName\": \"\",\n        \"name\": \"\"\n      }\n    ],\n    \"masterLanguage\": {\n      \"displayName\": \"\",\n      \"name\": \"\"\n    },\n    \"contentType\": [\n      \"\"\n    ],\n    \"parentLink\": {\n      \"id\": \"\",\n      \"workId\": \"\",\n      \"guidValue\": \"\",\n      \"providerName\": \"\",\n      \"url\": \"\",\n      \"language\": {\n        \"displayName\": \"\",\n        \"name\": \"\"\n      },\n      \"expanded\": {\n        \"\": \"\"\n      }\n    },\n    \"routeSegment\": \"\",\n    \"url\": \"\",\n    \"changed\": \"\",\n    \"created\": \"\",\n    \"startPublish\": \"\",\n    \"stopPublish\": \"\",\n    \"saved\": \"\",\n    \"status\": \"\"\n  }\n]"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}